with GNATCOM.IInterface;

with GNATCOM.Errors;

package body MSHTML.ISVGPolylineElement_Interface is

   procedure Initialize (This : in out ISVGPolylineElement_Type) is
   begin
      Set_IID (This, IID_ISVGPolylineElement);
   end Initialize;

   function Pointer (This : ISVGPolylineElement_Type)
     return Pointer_To_ISVGPolylineElement
   is
   begin
      return To_Pointer_To_ISVGPolylineElement (Address (This));
   end Pointer;

   procedure Attach (This    : in out ISVGPolylineElement_Type;
                     Pointer : in     Pointer_To_ISVGPolylineElement)
   is
   begin
      Attach (This, GNATCOM.IInterface.To_Pointer_To_IUnknown
              (Pointer.all'Address));
   end Attach;

end MSHTML.ISVGPolylineElement_Interface;

